local t = Def.ActorFrame{
	LoadActor( THEME:GetPathB("","_frame 3x3"), "_rounded blackinset transparent header", 256, 24)..{
		SetMessageCommand=function(self,param)
			local index = param.Index + 1
			local numGroupColors = THEME:GetMetric("SongManager","NumSongGroupColors")
			if index > numGroupColors then
				index = (index % numGroupColors) + 1
			end
			self:diffuse( THEME:GetMetric("SongManager","SongGroupColor"..index) )
		end;
	};
	AutoText("frutiger",true)..{
		Name="SortLabel";
		InitCommand=cmd(x,-132;y,-18;horizalign,left;zoom,0.45;shadowlength,0;diffuse,color("#000000");strokecolor,color("0,0,0,0");settext,THEME:GetString("MusicWheelItem","Sort"));
	};
};

return t;